function ret=horzVertFOVtoDiagDegrees(horzFov, vertFov)
  %% Given a horizontal and vertical FOV (in degrees) calculate the
  %% diagonal FOV (in degrees) and the aspect ratio of the display.

  diagFov = 2*180/pi*atan( sqrt(tan(horzFov*pi/360)**2 +
			 tan(vertFov*pi/360)**2));
  aspectRatio = tan(horzFov*pi/360)/tan(vertFov*pi/360);

  ret = [diagFov aspectRatio];

endfunction