function ret=matTrans(transVec)
  %% Creates a matrix that translates points according to the given
  %% vector.
  %%
  %% Author: Scott Kuhl

  v = transVec;

  if(length(v) < 3 || length(v) > 4)
    error("vector has length %d", length(v));
  endif

  ret = [1  0  0  v(1)
	 0  1  0  v(2)
	 0  0  1  v(3)
	 0  0  0  1 ];
endfunction
