function ret=diagFOVtoHorzVertDegrees(diagFovDegrees, aspectRatio)
  %% Given a FOV in degrees and an aspect ratio, calculate the
  %% horizontal and vertical FOV.

  ret(1) = 180/pi * 2 * atan(aspectRatio * tan(diagFovDegrees*pi/360) /
			     sqrt(aspectRatio**2+1));

  ret(2) = 180/pi * 2 * atan(tan(diagFovDegrees*pi/360) /
			     sqrt(aspectRatio**2+1));

endfunction