function ret=matRotDeg(axis, degrees)
  %% Returns the requested rotation matrix.
  %%
  %% 'axis' is the axis to rotate around. Example: use axis='X',
  %% axis='x' or axis='1' to rotate around x
  %%
  %% 'degrees': angle to rotate.  Rotation happens counter-clockwise
  %% when you look down the axis toward the origin.
  %%
  %% Author: Scott Kuhl

  ret = matRot(axis, degrees * pi/180);
endfunction