function ret=matScale(scaleVec)
  %% Creates a matrix that scaleVec points according to the given
  %% vector.
  %%
  %% Author: Scott Kuhl

  v = scaleVec;

  if(length(v) != 3 || length(v) > 4)
    error("vector has length %d", length(v));
  endif

  ret = [v(1) 0    0    0
	 0    v(2) 0    0
	 0    0    v(3) 0
	 0    0    0    1 ];
endfunction
